%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Summary: Hotwire Shell
Name: hotwire
Version: 0.721
Release: 9%{?dist}
Source0: http://hotwire-shell.googlecode.com/files/hotwire-%{version}.tar.gz
License: GPLv2+
Group: User Interface/Desktops
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch: noarch
Url: http://hotwire-shell.org
BuildRequires: python-devel
BuildRequires: intltool
BuildRequires:  desktop-file-utils
Requires: pygtk2
Requires: gnome-python2-desktop
Requires: dbus-python
Requires: gnome-python2-gnomevfs
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Hotwire is an object-oriented hypershell.

It is a shell designed for systems programming (files, processes),
and thus it is in the same conceptual category of software as the 
Unix shell+terminal and Windows PowerShell.

The goal of the Hotwire project though is to create a better 
systems programming shell than both Unix and PowerShell. We call 
it a hyper-shell because Hotwire blends the concepts of a 
systems-oriented shell with a modern graphical user interface 
display.

%prep
%setup -q

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --no-compile --root=$RPM_BUILD_ROOT

desktop-file-install --vendor='hotwire' --delete-original	    \
    --dir %{buildroot}%{_datadir}/applications			    \
    %{buildroot}%{_datadir}/applications/hotwire.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING COPYING.UI COPYING.API README
%{_bindir}/hotwire*
%dir %{python_sitelib}/hotwire
%{python_sitelib}/hotwire/*
%dir %{python_sitelib}/hotwire_ui
%{python_sitelib}/hotwire_ui/*
%dir %{python_sitelib}/hotvte
%{python_sitelib}/hotvte/*
%dir %{python_sitelib}/hotapps
%{python_sitelib}/hotapps/*
%{_datadir}/applications/hotwire.desktop
%{_datadir}/icons/hicolor/24x24/apps/*.png
%dir %{_datadir}/hotwire
%{_datadir}/hotwire/*
%{python_sitelib}/*.egg-info

%post
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%changelog
* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.721-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.721-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 0.721-7
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Tue Aug 11 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.721-6
- Use upstream gzipped tarball instead of zip.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.721-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.721-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Dec 18 2008 Colin Walters <walters@redhat.com> - 0.721-3
- Bug 445109 - fix desktop file installation
  Patch from Christian Krause (chkr@plauener.de)

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.721-2
- Rebuild for Python 2.6

* Sun Mar 23 2008 Colin Walters <walters@redhat.com> - 0.721-1
- New upstream version

* Tue Feb 05 2008 Colin Walters <walters@redhat.com> - 0.710-1
- New upstream version

* Wed Jan 23 2008 Colin Walters <walters@redhat.com> - 0.700-1
- New upstream version

* Wed Jan 23 2008 Colin Walters <walters@redhat.com> - 0.699.svn828-1
- upstream SVN snapshot (SVN r828)

* Wed Jan 23 2008 Colin Walters <walters@redhat.com> - 0.699.svn826-1
- upstream SVN snapshot (SVN r826)
- update files list

* Wed Nov 28 2007 Colin Walters <walters@redhat.com> - 0.620-1
- new upstream

* Wed Nov 07 2007 Colin Walters <walters@redhat.com> - 0.600-1
- new upstream

* Sun Oct 14 2007 Colin Walters <walters@redhat.com> - 0.599-1
- new upstream

* Sun Sep 09 2007 Colin Walters <walters@redhat.com> - 0.595-1
- new upstream

* Tue Jul 12 2007 Colin Walters <walters@redhat.com> - 0.590-1
- new upstream

* Sat Jun 30 2007 Colin Walters <walters@redhat.com> - 0.575-1
- new upstream
- add icon goo
- update url

* Wed Jun 20 2007 Colin Walters <walters@redhat.com> - 0.567-1
- update
- R dbus-python

* Thu Jun  7 2007 Colin Walters <walters@redhat.com> - 0.556-1
- update
- kill off pygtk br

* Fri Jun  1 2007 Colin Walters <walters@redhat.com> - 0.554-3
- really add br

* Thu May 31 2007 Colin Walters <walters@redhat.com> - 0.554-2
- add br on pygtk2-devel until we do not import gobject

* Thu May 31 2007 Colin Walters <walters@redhat.com> - 0.554-1
- update, add dep on gnomevfs 

* Mon May 28 2007 Colin Walters <walters@redhat.com> - 0.450-2
- Add dist tag

* Thu May 25 2007 Colin Walters <walters@redhat.com> - 0.450-1
- Initial fedora package.

